﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Net;

using FObjBase;
using FLY.Thick.Base.IService;
using FLY.Thick.Base.OBJ_INTERFACE;
using FLY.Thick.Base.Common;
using FObjBase.Reflect;

namespace FLY.Thick.Base.Client
{
    public class FixServiceClient : FObjBase.Reflect.Reflect_SeviceClient, IFixService
    {
        protected override Type InterfaceType => typeof(IFixService);


        public FixServiceClient(UInt32 serviceId) : base(serviceId) { }

        public FixServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }

        public DateTime UpdateTime { get; set; }

        [Call(typeof(GetFixDatasReponse))]
        public void GetFixDatas(AsyncCBHandler asyncDelegate, object asyncContext)
        {
            Call(nameof(GetFixDatas), null, asyncDelegate, asyncContext);
        }




    }
}