﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Simulation
{
    public class IODefinition
    {
        /// <summary>
        /// 纵向边界信号 下
        /// </summary>
        public const int IN_VSENSOR2 = 1 - 1;

        /// <summary>
        /// 归0
        /// </summary>
        public const int IN_ORG = 2 - 1;
        /// <summary>
        /// 反向限位
        /// </summary>
        public const int IN_MINLIMIT = 3-1;
        /// <summary>
        /// 正向限位
        /// </summary>
        public const int IN_MAXLIMIT = 4-1;
        /// <summary>
        /// 横向信号 上
        /// </summary>
        public const int IN_HSIGN = 5 - 1;
        /// <summary>
        /// 手动正转
        /// </summary>
        public const int IN_FORW = 7-1;
        /// <summary>
        /// 手动反转
        /// </summary>
        public const int IN_BACKW = 8-1;

        /// <summary>
        /// 同步输入信号
        /// </summary>
        public const int IN_SYNC = 9 - 1;



        /// <summary>
        /// 旋转架 信号0
        /// </summary>
        public const int IN_RENZIJIA_0 = 9-1;

        /// <summary>
        /// 旋转架 信号1
        /// </summary>
        public const int IN_RENZIJIA_1 = 10 - 1;



        /// <summary>
        /// 横向信号 下
        /// </summary>
        public const int IN_HSIGN2 = 10 - 1;

        /// <summary>
        /// 线速度 
        /// </summary>
        public const int IN_RSENSOR = 11 - 1;

        /// <summary>
        /// 纵向边界信号 上
        /// </summary>
        public const int IN_VSENSOR = 12-1;

        /// <summary>
        /// 旋转架 复位信号
        /// </summary>
        public const int IN_RENZIJIA_ORG = 12-1;


        /// <summary>
        /// 同步输出信号，只接到主AD盒
        /// </summary>
        public const int OUT_SYNC = 3 - 1;

    }
}
